#(peroyvind) dunno what this is nor why it's required, but we don't have it and it shouldn't be required
%global	__requires_exclude	BEGIN_RIM

%define sourcename	armagetronad

Summary:	Armagetron Advanced, 3D lightcycle game using OpenGL
Name:		armagetron
Version:	0.2.9.1.1
Release:	%mkrel 2
License:	GPL-2.0-or-later
Group:		Games/Arcade
URL:		https://www.armagetronad.org/
Source0:	https://prdownloads.sourceforge.net/armagetronad/%{sourcename}-%{version}.tbz
# taken from debian
Source1:	%{sourcename}.png
Patch0:		armagetronad-0.2.8.3.1-empty-master.srv-fix.patch

BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0)

%description
Armagetron is a multiplayer game in 3D that attempts to emulate and expand
on the lightcycle sequence from the movie Tron. It's an old school arcade
game slung into the 21st century. Highlights include a customizable playing
arena, HUD, unique graphics, and AI bots. For the more advanced player there
are new game modes and a wide variety of physics settings to tweak as well.

%prep
%autosetup -p1 -n %{sourcename}-%{version}

%build
%configure \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--docdir=%{_docdir} \
	--enable-music \
	--disable-games \
	--disable-uninstall
%make_build

%install
%make_install

# remove unwanted files
rm -rf %{buildroot}%{_gamesdatadir}/%{sourcename}/{desktop,scripts}
rm -rf %{buildroot}%{_datadir}/icons

cat <<EOF >%{buildroot}%{_gamesbindir}/%{name}
#!/bin/sh -e

REALTRON=%{_gamesbindir}/%{sourcename}

DATADIR=%{_gamesdatadir}/%{sourcename}
CONFDIR=%{_sysconfdir}/%{sourcename}
USERCONFDIR=\$HOME/.%{name}
USERDATADIR=\$USERCONFDIR/data
VARDIR=\$HOME/.%{name}
AUTORESOURCEDIR=\$HOME/.%{name}/resource
if [ ! -d \$USERCONFDIR ]; then
	# have to create configuration directory
	install -d \$USERCONFDIR
fi
if [ -f \$HOME/.%{name}rc ]; then
	# upgrade from before 0.2
	mv -f \$HOME/.%{name}rc \$USERCONFDIR/user.cfg
fi
# remove empty master.srv file created by earlier revisions
if [ -r \$USERCONFDIR/master.srv ] && ! [ -s \$USERCONFDIR/master.srv ]; then
  rm -f \$USERCONFDIR/master.srv
fi

CMDLINE="--datadir \$DATADIR --configdir \$CONFDIR --userconfigdir \$USERCONFDIR --vardir \$VARDIR --autoresourcedir \$AUTORESOURCEDIR"
if [ -d \$USERDATADIR ]; then
	CMDLINE="\$CMDLINE --userdatadir \$USERDATADIR"
fi
exec \$REALTRON \$CMDLINE "\$@"
EOF

install -m0644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Armagetron Advanced
Comment=Another 3d lightcycle game
Comment[de]=dreidimensionales Lichtradspiel
Comment[fr]=Jeu de course 3D basé sur une séquence du film Tron
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
MimeType=application/x-armagetronad;
Keywords=tron-like;light;cycle;3D;multiplayer;networked;server;
EOF

%files
%doc AUTHORS NEWS README
%license COPYING
%attr(0755,root,games) %{_gamesbindir}/%{name}
%attr(2755,root,games) %{_gamesbindir}/%{sourcename}
%{_gamesdatadir}/%{sourcename}/
%dir %{_sysconfdir}/%{sourcename}
%config(noreplace) %{_sysconfdir}/%{sourcename}/*
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{sourcename}.appdata.xml
%{_defaultdocdir}/%{sourcename}/


%changelog
* Sun Mar 16 2025 wally <wally> 0.2.9.1.1-2.mga10
+ Revision: 2164728
- rebuild for libxml2 2.13.6

* Thu Feb 01 2024 daviddavid <daviddavid> 0.2.9.1.1-1.mga10
+ Revision: 2036619
- new version: 0.2.9.1.1
- enable music support
- use a better desktop icon from debian

* Mon Mar 14 2022 umeabot <umeabot> 0.2.8.3.4-4.mga9
+ Revision: 1791118
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.mga8-current
+ Revision: 1508910
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 0.2.8.3.4-2.mga7
+ Revision: 1294548
- Mageia 7 Mass Rebuild

* Sun Sep 24 2017 cjw <cjw> 0.2.8.3.4-1.mga7
+ Revision: 1158676
- 0.2.8.3.4

* Sun Jan 03 2016 akien <akien> 0.2.8.3.3-1.mga6
+ Revision: 919088
- Version 0.2.8.3.3

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8.3.2-7.mga5
+ Revision: 745840
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8.3.2-6.mga5
+ Revision: 677902
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.2.8.3.2-5.mga4
+ Revision: 526038
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.2.8.3.2-4.mga4
+ Revision: 435781
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.2.8.3.2-3.mga3
+ Revision: 346084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 zezinho <zezinho> 0.2.8.3.2-2.mga2
+ Revision: 220483
- remove soundwrapper from menu as it is not used anymore

* Sun Sep 18 2011 fwang <fwang> 0.2.8.3.2-1.mga2
+ Revision: 144908
- fix detect on libpng15
- new version 0.2.8.3.2
- rebuild for new libpng
+ stormi <stormi>
- rebuild for libpng
- remove forgotten patch

* Sun Mar 13 2011 stormi <stormi> 0.2.8.3.1-1.mga1
+ Revision: 70666
- new version 0.2.8.3.1
- remove merged upstream patch for gcc 4.3 compilation
- rediff empty-master.srv-fix.patch and submit it upstream
- clean spec

* Sat Mar 12 2011 stormi <stormi> 0.2.8.2.1-12.mga1
+ Revision: 68363
- imported package armagetron


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 0.2.8.2.1-12mdv2011.0
+ Revision: 634998
- rebuild
- tighten BR

* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.8.2.1-11mdv2011.0
+ Revision: 603183
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.8.2.1-10mdv2010.1
+ Revision: 522030
- rebuilt for 2010.1

* Sun May 24 2009 Christiaan Welvaart <spturtle@mandriva.org> 0.2.8.2.1-9mdv2010.0
+ Revision: 379301
- startup script: remove empty master.srv from user config dir

* Sun May 24 2009 Christiaan Welvaart <spturtle@mandriva.org> 0.2.8.2.1-8mdv2010.0
+ Revision: 379161
- patch1: disable autosave of master.srv which caused an empty file to be written (replaces previous fix for #51152)
- put downloaded resources in $HOME/.armagetron/resource

* Sat May 23 2009 Samuel Verschelde <stormi@mandriva.org> 0.2.8.2.1-7mdv2010.0
+ Revision: 379017
- let the program use ~/.armagetronad for user settings (fixes #51152)

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.2.8.2.1-6mdv2009.1
+ Revision: 349992
- 2009.1 rebuild

* Sun Jul 06 2008 Christiaan Welvaart <spturtle@mandriva.org> 0.2.8.2.1-5mdv2009.0
+ Revision: 232246
- remove kde files if installed, do not include them in the package

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix unpacked files
    - added a gcc43 patch
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix mesaglu-devel BR
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 04 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.2.8.2.1-3mdv2008.1
+ Revision: 115207
- drop /var/lib/games/armagetron dir, put all settings and results in $HOME/.armagetron

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 16 2007 Thierry Vignaud <tv@mandriva.org> 0.2.8.2.1-2mdv2008.0
+ Revision: 64188
- rebuild

* Tue May 22 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.2.8.2.1-1mdv2008.0
+ Revision: 29746
- Updated to 0.2.8.2.1.


* Tue Jan 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.7.1-5mdv2007.0
+ Revision: 115470
- kill old debian menu

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 0.2.7.1-4mdv2007.1
+ Revision: 89973
- xdg menu
- Import armagetron

* Thu Aug 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.2.7.1-3mdk
- Fix summary, menu name and URL

* Mon Aug 01 2005 Guillaume Bedot <littletux@mandriva.org> 0.2.7.1-2mdk
- rebuild
- Patch10: allows to build with g++4

* Tue Apr 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.2.7.1-1mdk
- 0.2.7.1
- Drop patches 3 to 6

* Wed Oct 27 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.6.0-4mdk
- lib64 fixes
- put back 64-bit fixes that got nuked away somehow since 9.2

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.6.0-3mdk
- Rebuild with new menu

* Tue Jul 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.6.0-2mdk
- rebuild with gcc 3.4 (patch5)

* Sat Apr 24 2004 Michael Scherer <misc@mandrake.org> 0.2.6.0-1mdk
- New release 0.2.6.0

